Inhalte

# Anweisung Call

Übergibt die Kontrolle des Programms an ein Unterprogramm, eine Funktion oder eine Prozedur einer DLL (Dynamic Link Library). Schlüsselwort, Typ und Anzahl der Parameter sind abhängig von der aufgerufenen Routine.

### Syntax:

    [Call] Name [(] [Param :=] Wert, … [)]

### Parameter:

Name: Name des Unterprogramms, der Funktion oder der auszurufenden DLL

Param: Der Name des Schlüsselwortparameters, der an die Routine übergeben werden soll, gefolgt von seinem Wert. Der Name muss mit der Routinedeklaration übereinstimmen. Schlüsselwörter sind optional und können in beliebiger Reihenfolge verwendet werden.

Wert: Positionsparameterwert. Der Typ ist abhängig von der aufgerufenen Routine

Stellen Sie beim Mischen von Positions- und Schlüsselwortparametern sicher, dass die Positionsparameter der Deklarationsreihenfolge der Routine folgen.

Wenn eine Funktion als Ausdruck verwendet wird, müssen Parameter in Klammern eingeschlossen werden. Die Verwendung einer Anweisung Declare ist vor dem Aufruf einer DLL obligatorisch.

### Beispiel:

    Sub ExampleCall
        Dim value As String
        value = "LibreOffice"
        Call aRoutine value
        aRoutine text := value
    End Sub

    Sub aRoutine (text as String)
        Msgbox text
    End Sub

Verwandte Themen

Funktion CallByName